Get Apple App Info Results by id

 
This endpoint will provide you with information about the mobile application specified in a POST request. You will receive its ID, icon, description, reviews count, rating, images, and other data. The results are specific to the app_id parameter specified in the POST request.

We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/app_data/apple/app_info/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Apple App Info Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        app_idstring

application id received in a POST request

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        se_results_countinteger

the total number of results

        items_countinteger

the number of items in the results array

        itemsarray

found app info

            typestring

the item's type
possible item types: "app_store_info_organic"

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed apps
absolute position among all apps on the list

            positionstring

the alignment of the element in SERP
can take the following values: left

            app_idstring

ID of the app

            titlestring

title of the app

            subtitlestring

subtitle of the app

            urlstring

URL to the app page on App Store

            iconstring

URL to the app icon

            descriptionstring

description of the app

            reviews_countinteger

the total number of reviews of the app

            ratingobject

average rating of the app

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
in this case, the value will be null

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5

            priceobject

price of the app

                currentfloat

current price
refers to the current price indicated in the element

                regularfloat

regular price
refers to the regular price indicated in the element

                max_valuefloat

the maximum price
refers to the maximum price indicated in the element

                currencystring

currency of the listed price
ISO code of the currency applied to the price

                is_price_rangeboolean

price is provided as a range
indicates whether a price is provided in a range

                displayed_pricestring

price string in the result
raw price string as provided in the result

            is_freeboolean

indicates whether the app is free

            main_categorystring

main category/genre of the app

            categoriesarray

all relevant categories/genres of the app
Note: this field returns only one relevant category in the array

            languagesarray

languages supported in the app
Note: this field returns only one supported language in the array

            advisoriesarray

age rating and age-based content advisories

            developerstring

name of the app developer

            developer_idstring

ID of the app developer

            developer_urlstring

URL to the developer page on App Store

            versionstring

current version of the app

            minimum_os_versionstring

minimum OS version required to install the app

            sizestring

size of the app

            released_datestring

date and time when the app was released
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00
Note: this field is deprecated and always returns null

            last_update_datestring

date and time when the app was last updated
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00

            update_notesstring

update notes
contains the latest update notes from the developer

            imagesarray

app images
contains URLs to the images used on the app page on App Store

            similar_appsarray

similar apps
displays apps similar to the app in a POST request

                app_idstring

ID of the app

                titlestring

title of the app

                urlstring

URL to the app page on App Store

            more_apps_by_developerarray

similar apps
information about apps built by the same developer

                app_idstring

ID of the app

                titlestring

title of the app

                urlstring

URL to the app page on App Store


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/app_data/apple/app_info/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/app_data/apple/app_info/tasks_ready
	$tasks_ready = $client->get('/v3/app_data/apple/app_info/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/app_data/apple/app_info/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/app_data/apple/app_info/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/app_data/apple/app_info/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/app_data/apple/app_info/task_get/advanced' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# get the task results by id
# GET /v3/app_data/apple/app_info/task_get/advanced/$id
id = "06141103-2692-0309-1000-980b778b6d25"
response = client.get("/v3/app_data/apple/app_info/task_get/advanced/" + id)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task app_data_apple_app_info_task_get_by_id()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // get the task results by id
            // GET /v3/app_data/apple/app_info/task_get/advanced/$id
            // use the task identifier that you recieved upon setting a task
            string id = "06141103-2692-0309-1000-980b778b6d25";
            var taskGetResponse = await httpClient.GetAsync("/v3/app_data/apple/app_info/task_get/advanced/" + id);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                var fst = result.tasks.First;
                // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                if (fst.status_code >= 40000 || fst.result == null)
                    Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                else
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, fst));
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20260713",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0449 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07141212-1535-0419-0000-03d2e8ffafe1",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0197 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "app_data",
        "apple",
        "app_info",
        "task_get",
        "advanced",
        "07141212-1535-0419-0000-03d2e8ffafe1"
      ],
      "data": {
        "se_type": "app_info",
        "api": "app_data",
        "function": "app_info",
        "se": "apple",
        "app_id": "835599320",
        "location_code": 2840,
        "language_code": "en",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "app_id": "835599320",
          "se_domain": "itunes.apple.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://apps.apple.com/us/app/id835599320",
          "datetime": "2026-07-14 09:12:08 +00:00",
          "se_results_count": 1,
          "items_count": 1,
          "items": [
            {
              "type": "app_store_info_organic",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "app_id": "835599320",
              "title": "TikTok - Videos, Shop & LIVE",
              "subtitle": "Watch, discover and stream!",
              "url": "https://apps.apple.com/us/app/tiktok-videos-shop-live/id835599320",
              "icon": "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource211/v4/24/96/70/249670dd-d242-a391-6cc1-9632d303c6af/Placeholder.mill/512x512bb.jpg",
              "description": "TikTok is the global discovery platform for videos, streaming on LIVE, shopping, and more. Our mission is to inspire creativity and bring joy. Over a billion people come to TikTok to share what they love, learn new things, and find ideas that make everyday life more interesting.nnYour experience on TikTok is built around what you're into, not who you know. Just watch, like, and scroll to discover videos, creators, and communities you are delighted to discover. From quick recipes to game highlights, fashion tips to music and trending sounds, your For You feed reflects your current interests and changes based on what surprises and inspires you.nnCreating is simple. Capture and post everyday moments and turn them into something special with easy editing tools, effects, sounds, and music. Use our free library of sounds and music in your videos, plus filters and creative tools that help your content stand out. On TikTok, anyone can create, and ideas that inspire pick up momentum.nnTikTok is also where discovery becomes part of your everyday life. Find creators to follow, new ideas to try, and products you will love from small businesses and brands around the world. TikTok offers more than 50 preset safety and privacy features, from private accounts and content filters to screen time tools and Family Pairing, so you can choose an experience that works for you. TikTok provides extra support for teens and families on the app, letting you set time and content preferences that feel right for your family. nn■ Personalized discoverynA For You feed that learns what you enjoy. Discover videos, creators, LIVE streams, shopping, and communities based on what you watch, like, and share.n■ Entertainment, learning, and everything in betweennComedy, gaming, DIY, beauty, sports, music, lifestyle, education, and more. Find content that makes you laugh, think, and try something new.n■ Simple, powerful creation toolsnRecord in clips, pause and resume, trim and merge, add text and stickers, and fine tune your video without leaving the app.n■ Sounds, music, and effectsnUse our free library of sounds and music in your videos, plus filters, effects, and creative tools that help you express yourself and make your videos stand out.n■ A global community of creatorsnFollow your favorite creators and discover new voices every day. Share your own story or support the people who inspire you.n■ Discover and shop with TikTok ShopnExplore trending products, exclusive deals, and seamless shopping experiences inspired by creators and brands you love, all in one place. Shop directly from videos, LIVE, and the Shop tab, track your orders, and enjoy a safe, secure shopping experience.n■ Go LIVE and connect in real timenStart a LIVE to chat with your community, share moments as they happen, and unlock special features and benefits where available.n■ Tools to shape your experiencenUse more than 50 safety and privacy features, from private accounts and content filters to screen time tools, Family Pairing, and other controls, to choose how TikTok works for you and your family.nnReady to see what you discover next? Download TikTok to start watching, creating, and exploring your world in a new way.nnNote: If you subscribe via Apple, payment will be charged to App Store Account at confirmation of purchase. Subscription automatically renews unless auto-renew is turned off at least 24 hours before the end of the current period. Your account will be charged for renewal within 24 hours prior to the end of the current period at the rate of the selected plan. Subscriptions and auto-renewal may be managed by going to Account Settings after purchase.nnLearn more about our safety tools, resources, and policies at the TikTok Safety Center: https://www.tiktok.com/safety/ennnTerms of Service:nhttps://www.tiktok.com/legal/terms-of-servicenPrivacy Policy:nhttps://www.tiktok.com/legal/privacy-policynFeedback?nContact us at https://www.tiktok.com/legal/report/feedback or tweet us @tiktok_us",
              "reviews_count": 18319672,
              "rating": {
                "rating_type": "Max5",
                "value": 4.7,
                "votes_count": 18319672,
                "rating_max": 5
              },
              "price": null,
              "is_free": true,
              "main_category": null,
              "categories": null,
              "languages": [
                "EN"
              ],
              "advisories": [
                "13+"
              ],
              "developer": "TikTok Ltd.",
              "developer_id": "1322881000",
              "developer_url": "https://apps.apple.com/us/developer/tiktok-ltd/id1322881000?platform=iphone",
              "version": "Version 46.0.0",
              "minimum_os_version": "Requires iOS 14.0 or later.",
              "size": "936 MB",
              "released_date": null,
              "last_update_date": "2026-07-13 23:12:09 +00:00",
              "update_notes": "Enjoy a better video browsing experience on our enhanced feed.",
              "images": [
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource211/v4/8e/62/46/8e624667-07ca-3077-1d10-d3280af7cf3d/oIBiEALDg7vSpAA8ksZLbCAgixZPCPIksi6Ay.png/512x512bb.jpg",
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource211/v4/4a/a2/c2/4aa2c2f1-2107-401f-2c0a-cb7e57007cb7/441e43e3-89b2-4c48-8ebc-c5df7d15a31d_STEM_iOS_2688.png/512x512bb.jpg",
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource211/v4/ed/a1/94/eda194cc-bf67-1649-7eb7-1335ed7ce31d/6eccded7-462a-4aa7-9487-3ec05960d1dd_Mother_iOS_2688.png/512x512bb.jpg",
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/e5/2b/75/e52b75e9-3ad4-f63b-b5c1-5948ab9c5d9d/fddb1f6c-e83a-4842-8aae-a5b5682ee5e8_Recipe_iOS_2688.png/512x512bb.jpg",
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource211/v4/f8/87/0d/f8870d8c-da94-e9b4-4b7c-229ffca3653b/e5879dad-3711-4211-a3e3-d5ad1d35a8a8_Winter_AI_iOS_2688.png/512x512bb.jpg",
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource221/v4/57/af/b5/57afb5ab-9296-df1d-cb01-e418fa0d32b2/7f95f936-8e9f-4ff4-be12-85a7b53aebb7_Hocky_iOS_2688.png/512x512bb.jpg",
                "https://is1-ssl.mzstatic.com/image/thumb/PurpleSource211/v4/ac/89/ea/ac89ea67-152a-ec07-a20b-95f77c51d534/26aa6241-2a65-4750-8fe1-ec853c4c6d91_Pet_iOS_2688.png/512x512bb.jpg"
              ],
              "similar_apps": [
                {
                  "app_id": "1672189847",
                  "title": "Musica XM-Offline Music Player",
                  "url": "https://apps.apple.com/us/app/musica-xm-offline-music-player/id1672189847"
                },
                {
                  "app_id": "746894884",
                  "title": "Google TV: Watch Movies & TV",
                  "url": "https://apps.apple.com/us/app/google-tv-watch-movies-tv/id746894884"
                },
                {
                  "app_id": "6738373534",
                  "title": "Musivibe - Enjoy Offline Music",
                  "url": "https://apps.apple.com/us/app/musivibe-enjoy-offline-music/id6738373534"
                },
                {
                  "app_id": "1569399922",
                  "title": "Anime Play - Movies & TV Shows",
                  "url": "https://apps.apple.com/us/app/anime-play-movies-tv-shows/id1569399922"
                },
                {
                  "app_id": "1086101495",
                  "title": "ZEDGE™ Ringtones & Wallpapers",
                  "url": "https://apps.apple.com/us/app/zedge-ringtones-wallpapers/id1086101495"
                },
                {
                  "app_id": "1446075923",
                  "title": "Disney+",
                  "url": "https://apps.apple.com/us/app/disney/id1446075923"
                },
                {
                  "app_id": "1069361548",
                  "title": "Live Wallpapers for Me",
                  "url": "https://apps.apple.com/us/app/live-wallpapers-for-me/id1069361548"
                },
                {
                  "app_id": "6449206831",
                  "title": "Scoopz: Your People Your Video",
                  "url": "https://apps.apple.com/us/app/scoopz-your-people-your-video/id6449206831"
                },
                {
                  "app_id": "1348676585",
                  "title": "Wallcraft – Wallpapers, live",
                  "url": "https://apps.apple.com/us/app/wallcraft-wallpapers-live/id1348676585"
                },
                {
                  "app_id": "483342122",
                  "title": "PLAY Games",
                  "url": "https://apps.apple.com/us/app/play-games/id483342122"
                }
              ],
              "more_apps_by_developer": [
                {
                  "app_id": "1498607143",
                  "title": "Lemon8 - Lifestyle Community",
                  "url": "https://apps.apple.com/us/app/lemon8-lifestyle-community/id1498607143"
                },
                {
                  "app_id": "6741796873",
                  "title": "TikTok Pro - Events",
                  "url": "https://apps.apple.com/us/app/tiktok-pro-events/id6741796873"
                },
                {
                  "app_id": "6478151677",
                  "title": "TikTok Studio",
                  "url": "https://apps.apple.com/us/app/tiktok-studio/id6478151677"
                },
                {
                  "app_id": "6754134922",
                  "title": "PineDrama - Short Dramas",
                  "url": "https://apps.apple.com/us/app/pinedrama-short-dramas/id6754134922"
                },
                {
                  "app_id": "1591003012",
                  "title": "TikTok Shop Seller Center",
                  "url": "https://apps.apple.com/us/app/tiktok-shop-seller-center/id1591003012"
                },
                {
                  "app_id": "6779547158",
                  "title": "TikTok GO for Merchants",
                  "url": "https://apps.apple.com/us/app/tiktok-go-for-merchants/id6779547158"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}